Subject: Re: 27.0.50; create_process on Darwin should not invoke setsid() after vfork() [PATCH]

From: Filipp Gunbin <[email-masked]>
Date: Wed, 07 Nov 2018 11:53:23 +0300

Yes, dissociate_controlling_tty looks nice.  I thought about checking
what setsid() returns too, but thought I'd do this after some testing.

> Also, I think we can call the function from just two places (not
> three).

Are you sure we can remove that 3rd place?  It dates back to initial
revision from 1992.  And I can't tell why it's there and what it does.

Filipp